﻿using Gallery.Services;
using Xamarin.Forms;

namespace Gallery.Resources.Theme
{
    public class DarkTheme : Theme
    {
        private static DarkTheme instance;
        public static DarkTheme Instance
        {
            get
            {
                if (instance == null)
                {
                    instance = new DarkTheme();
                }
                return instance;
            }
        }

        public DarkTheme()
        {
            InitColors();
            InitResources();
        }

        private void InitColors()
        {
            Add(StatusBarStyle, StatusBarStyles.WhiteText);
            Add(NavigationColor, Color.FromRgb(0x11, 0x11, 0x11));

            Add(Primary, Color.FromRgb(33, 150, 243));
        }
    }
}
